import { Subject } from "rxjs";
import { FormEvent } from "../services/objects";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
import { StiFormSettings } from "./settings/StiFormSettings";
import { StiFormPageElement } from "./StiFormPageElement";
export declare class StiForm {
    pages: StiFormPageElement[];
    formEvents: Subject<FormEvent>;
    private _guid;
    get guid(): string;
    private _settings;
    get settings(): StiFormSettings;
    set settings(value: StiFormSettings);
    constructor();
    createTestValues(): StiJson;
    setFormValues(json: StiJson): void;
    fillElement(element: any): void;
    setValue(element: any, value: any): void;
    setTableValue(element: any, cellPath: any, value: any): void;
    getElementByName(elementName: string): StiFormElement;
    saveToJsonObject(options?: any): StiJson;
    saveToReportJsonObject(options?: any): StiJson;
    loadFormJsonString(text: string): void;
    loadFromJson(jObject: StiJson): void;
    deserializePages(jObject: StiJson): any[];
}
