import { TieredMenu } from "primeng/tieredmenu";
import { Subject } from "rxjs";
import { StiComponent } from "../components/sti-component";
import { StiFormElement } from "../elements/base/StiFormElement";
import { StiForm } from "../elements/StiForm";
import { StiFormPageElement } from "../elements/StiFormPageElement";
import { StiNumberBoxElement } from "../elements/StiNumberBoxElement";
import { StiPanelElement } from "../elements/StiPanelElement";
import StiPadding from "../properties/StiPadding";
import { StimulsoftFormsComponent } from "../stimulsoft-forms.component";
import { StiThousandSeparator, StiUnitAlignment } from "../system/enums";
import { FormEvent, StiInterfaceEvent, StiWebFormOptions } from "./objects";
export declare class StiModelService {
    static PAGE_CLASS: string;
    static PANEL_CLASS: string;
    static THEMES: string[];
    component: StimulsoftFormsComponent;
    fontFamilies: any[];
    imagesArray: any;
    lastFormState: any;
    showButtonMessageWindow: boolean;
    isInitialized: boolean;
    showFileMenu: boolean;
    showContextMenu: boolean;
    showHelpWindow: boolean;
    showSaveDialog: boolean;
    showTrialBar: boolean;
    showErrorWindow: boolean;
    basePlanIsTrial: boolean;
    viewerMode: boolean;
    isCloudMode: boolean;
    showTrialModalWindow: boolean;
    disableCloseButton: boolean;
    canCloseTrialWindow: boolean;
    showTrialTitle: boolean;
    pdfPreviewMode: boolean;
    showCornerRadius: boolean;
    showAboutWindow: boolean;
    showGroupPreview: boolean;
    showToolboxSetup: boolean;
    isPreviewMode: boolean;
    showModalWindow: boolean;
    canDrag: boolean;
    currentExpressionInfo: number;
    buildVersion: string;
    buildDate: string;
    errorMessage: string;
    firstFormState: any;
    propertyGridWith: number;
    pageWithGrid: StiFormPageElement;
    needToRefresh: Subject<boolean>;
    needToRefreshInnerProperties: Subject<boolean>;
    currentContentEditableItem: Subject<any>;
    currentContentEditableItemIndex: number;
    currentTablePropertyHeader: Subject<string>;
    currentTableHeader: string;
    formEvents: Subject<FormEvent>;
    interfaceEvent: Subject<StiInterfaceEvent>;
    lastSavedFormState: any;
    currentFormState: any;
    saveDialogFromNew: boolean;
    saveDialogFromOpen: boolean;
    addTotalMenu: TieredMenu;
    contextMenuX: number;
    contextMenuY: number;
    options: StiWebFormOptions;
    properties: any;
    previousPadding: StiPadding;
    previousContentAreaWidth: number;
    showProgress: boolean;
    draggingElement: StiFormElement;
    previousSelectedComponent: StiComponent;
    isWebView: boolean;
    currentSelectedFileOption: string;
    _embeddedMode: boolean;
    embeddedEvent: (data: any) => void;
    login: any;
    private _elementToUpdate;
    private _selectedComponent;
    private _selectedPage;
    private _lastUsedPage;
    private _zoom;
    private _form;
    private _cursor;
    private _requestUrl;
    private _canDelete;
    get canDelete(): boolean;
    set canDelete(value: boolean);
    set embeddedMode(value: boolean);
    get embeddedMode(): boolean;
    get cursor(): string;
    get zoom(): number;
    set requestUrl(value: string);
    get requestUrl(): string;
    set zoom(value: number);
    set cursor(value: string);
    showError(message: any): void;
    getImage(fileName: any): any;
    setFormFromString(str: string): void;
    get form(): StiForm;
    set form(form: StiForm);
    arrayOfStylesToString(array: string[]): string;
    checkNumberRange(element: StiNumberBoxElement): void;
    getBrowserType(): any;
    getScale(): string;
    updateForm(form: StiForm): void;
    set elementToUpdate(value: StiFormElement);
    get elementToUpdate(): StiFormElement;
    get selectedComponent(): StiComponent;
    set selectedComponent(value: StiComponent);
    get selectedPage(): StiFormPageElement;
    set selectedPage(value: StiFormPageElement);
    get lastUsedPage(): StiFormPageElement;
    set lastUsedPage(value: StiFormPageElement);
    getSelectedComponentPage(): StiFormPageElement;
    getElementPage(element: StiFormElement): StiFormPageElement;
    overToolbar(x: number, y: number): boolean;
    getElementPanel(element: StiFormElement): StiPanelElement;
    formatNumber(value: number, format: StiThousandSeparator, decimalDigits: number, unitAlignment: StiUnitAlignment, unit: string): string;
    formatNumberWithThousandSeparator(value: number, format: StiThousandSeparator, decimalDigits: number): string;
    getWindowScaling(): number;
    getScaling(): "" | "_x1_25" | "_x1_5" | "_x1_75" | "_x2" | "_x3" | "_x4";
    getPageFromPoint(x: number, y: number): StiFormPageElement;
    getPanelFromPoint(x: number, y: number, excludeId?: string): StiPanelElement;
    getMouseOverPagePosition(event: MouseEvent): any;
    getMouseOverPanelPosition(event: MouseEvent, excludeId?: string): any;
    downloadFiles(data: any, file_name: string): void;
    constructor();
}
