import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit } from "@angular/core";
import StiRectangleGeometryLayout from "./computed/StiRectangleGeometryLayout";
import { StiLocalizationService } from "./services/sti-localization.service";
import { StiModelService } from "./services/model.service";
import { StiEditableContentService } from "./services/sti-editable-content.service";
import { StiHelperService } from "./services/sti-helper.service";
import { StiToolbarResizerService } from "./services/sti-toolbar-resizer.service";
import { StiToolboxService } from "./services/sti-toolbox.service";
import { StiThemeService } from "./services/theme.service";
import { StiControllerService } from "./services/sti-controller.service";
import { StiHttpClientService } from "./services/http-client.service";
import { StiBarcodeService } from "./services/sti-barcode.service";
import { StiForm } from "./elements/StiForm";
import { StiChangesService } from "./services/sti-changes-service";
import { StiUndoService } from "./services/sti-undo-service";
import { StiExportService } from "./services/sti-export.service";
import { StiFontService } from "./services/sti-font.service";
import { StiUserService } from "./services/sti-user-service";
import { StiExpressionService } from "./services/sti-expression.service";
import { StiInterfaceEvent } from "./services/objects";
import { TieredMenu } from "primeng/tieredmenu";
export declare class StimulsoftFormsComponent implements OnInit, AfterViewInit, OnChanges {
    toolbarResizerService: StiToolbarResizerService;
    model: StiModelService;
    theme: StiThemeService;
    controller: StiControllerService;
    barcodeService: StiBarcodeService;
    render: StiRectangleGeometryLayout;
    editableContentService: StiEditableContentService;
    changesService: StiChangesService;
    exportService: StiExportService;
    font: StiFontService;
    toolboxService: StiToolboxService;
    undoService: StiUndoService;
    userService: StiUserService;
    expressionService: StiExpressionService;
    helper: StiHelperService;
    localizationService: StiLocalizationService;
    httpService: StiHttpClientService;
    addTotalMenu: TieredMenu;
    /**
     * Url to server instance
     * Example: http://server.url:51528/Forms/Action
     */
    requestUrl: string;
    style: string;
    viewerMode: boolean;
    readonlyMode: boolean;
    form: StiForm;
    localization: string;
    interfaceEvent: EventEmitter<StiInterfaceEvent>;
    /**
     * properties that will transfer to controller action as JSON object
     */
    properties: any;
    private init;
    rootFormElementRef: ElementRef;
    constructor(toolbarResizerService: StiToolbarResizerService, model: StiModelService, theme: StiThemeService, controller: StiControllerService, barcodeService: StiBarcodeService, render: StiRectangleGeometryLayout, editableContentService: StiEditableContentService, changesService: StiChangesService, exportService: StiExportService, font: StiFontService, toolboxService: StiToolboxService, undoService: StiUndoService, userService: StiUserService, expressionService: StiExpressionService, helper: StiHelperService, localizationService: StiLocalizationService, httpService: StiHttpClientService);
    get pointerEvents(): string;
    get cursor(): string;
    get toolbarWidth(): string;
    ngOnInit(): void;
    ngOnChanges(changes: import("@angular/core").SimpleChanges): void;
    setReadOnlyMode(): void;
    ngAfterViewInit(): void;
    containerHeight(): "calc(100% - 70px)" | "calc(100% - 38px)" | "calc(100% - 155px)" | "calc(100% - 125px)" | "calc(100% - 32px)";
    initialize(): void;
    cloudLogin(event: any): void;
}
